enum EnumApiErrorCode {
  success = 0,
  no_change = 1,
  please_enter_the_correct_parameters = 101,
  please_enter_the_correct_password_format = 102,
  please_enter_the_valid_currency = 103,
  please_enter_the_correct_username_format = 104,
  please_enter_the_valid_web_id = 105,
  invalid_account_type = 106,
  invalid_product_type = 107,
  invalid_operator_id = 108,
  invalid_contact_format = 109,
  duplicate_instance_message_type = 110,
  invalid_instance_message_type = 111,
  invalid_cash_agent_request_id = 112,
  duplicate_email = 113,
  duplicate_full_name = 114,
  duplicate_line = 115,
  duplicate_mobile = 116,
  duplicate_phone = 117,
  invalid_stock_holding = 118,
  invalid_email_format = 119,
  invalid_percentage = 120,
  reference_number_is_required = 121,
  deposit_time_is_required = 122,
  deposit_slip_is_required = 123,
  contain_invalid_character = 124,
  please_enter_the_correct_username_or_password = 200,
  please_enter_the_correct_current_password = 201,
  consume_sso_failed = 202,
  multiple_login = 203,
  session_time_out_you_have_been_logged_out = 204,
  multiple_login_you_have_been_logged_out = 205,
  invalid_ip = 206,
  login_fail_too_many_times_account_suspend = 207,
  login_token_invalid = 208,
  currency_not_enabled = 209,
  BankIdError = 300,
  ExceedDepositMax = 301,
  ExceedDepositMin = 302,
  ExceedWithdrawalMax = 303,
  ExceedWithdrawalMin = 304,
  InvalidTransactionType = 305,
  InvalidTransactionStatus = 306,
  InvalidCompanyBank = 307,
  InvalidTransactionOperation = 308,
  OnlyAllowPositiveAmount = 309,
  InvalidTransactionIdFormat = 310,
  InvalidTransactionAction = 311,
  TransactionNotFound = 312,
  WaitingTransactionExists = 313,
  InvalidPriority = 314,
  InvalidBankGroup = 315,
  VerifiedAmountBiggerThanRequestedAmount = 316,
  InvalidTransferAmount = 317,
  NegativeOutstanding = 318,
  TransferAmountExceedChildBalance = 319,
  TransferAmountExceedParentBalance = 320,
  ExceedDailyWithdrawLimit = 321,
  SendPaymentDepositRequestInTooShortTime = 322,
  BankRegistered = 323,
  RemainingRolloverIsNotZero = 324,
  DecimalNotAllow = 325,
  InvalidPaymentPassword = 326,
  WaitingOrIncompletePromotionExists = 330,
  InvalidPromotionRequestStatus = 331,
  DuplicatePromotionCode = 332,
  ApplyPromotionOverLimit = 333,
  DepositLowerThanPromotionMinDeposit = 334,
  NoAvailableDeposit = 335,
  PromotionTypeIsNotDeposit = 336,
  NotQualifiedForPromotion = 337,
  RegisterPromotionAutoApplyError = 338,
  RegisterPromotionGetPromoListError = 339,
  RegisterPromotionAutoApproveError = 340,
  PromotionWalletHasUnSettleBets = 341,
  ExceedMaxApplicationCount = 343,
  ExceedDeadlineHours = 344,
  ExceedMaxApplicationCountByPlayer = 345,
  NotEligible = 346,
  ExceedMaxBonusAmountPerPromotion = 347,
  NotFoundAutoApplyRegisterPromotion = 348,
  ApplyInvalidCurrencyPromotion = 350,
  ApplyInvalidDateTimePromotion = 351,
  AlreadyCompletePromotion = 352,
  CurrentTOisLowerThenMinTO = 353,
  ActiveRegisterBonusPromotionExist = 354,
  DepositAmountInsufficient = 355,
  InvalidThemeName = 400,
  InvalidHtmlId = 401,
  InvalidThemeId = 402,
  InvalidReferralOptionId = 500,
  InvalidReferralTypeId = 501,
  InvalidReferralStartTime = 502,
  InvalidReferralRedeemAmount = 503,
  InvalidRedeemRequestId = 504,
  InvalidProcessRedeemStatus = 505,
  DuplicateReferralLayer = 506,
  DuplicateReferralRebateTypeId = 507,
  ReferralCodeisInvalid = 508,
  InvalidCustomerId = 800,
  InvalidParentId = 801,
  UpdateError = 802,
  InvalidStatus = 803,
  InvalidDateTime = 804,
  NoCorrespondLiveChatDomain = 805,
  NoData = 806,
  NotACompanyAccount = 807,
  UserNotExists = 808,
  NotCashPlayer = 809,
  NotAValidTarget = 810,
  InvalidStartDatetime = 811,
  InvalidDatetimeRange = 812,
  DateTimeRangeOver7Days = 813,
  DateTimeRangeOver2Months = 814,
  DateTimeRangeOver1Months = 815,
  ModelStateError = 997,
  NotAuthorized = 998,
  GeneralError = 999,
  UserNotFound = 1001,
  AccountIsClosed = 1002,
  AccountIsSuspended = 1003,
  AccountIsDeleted = 1004,
  DuplicateUsername = 1005,
  InsufficientBalance = 1006,
  DuplicateSettingValue = 1007,
  NotAbleUpdateThisUsersCurrency = 1008,
  AgentNotFound = 1009,
  TargetAccountNotAvailable = 1010,
  CompanyIsCaped = 1011,
  AccountIsNotAbleToDoStockTransfer = 1012,
  DuplicateBrandName = 1996,
  ExceedMaxIpCount = 1997,
  CreateDownlineFail = 1998,
  InvalidUsernameOrPassword = 1999,
  NoDownlineFound = 2000,
  AdminNotFound = 2001,
  UsernameTaken = 2002,
  CannotCreateCrossLevelMember = 2003,
  InvalidLcMaxLimit = 2004,
  InvalidDiscount = 2005,
  InvalidTableLimit = 2006,
  InvalidCommission = 2007,
  InvalidMinPT = 2008,
  InvalidGroupADiscount = 2009,
  InvalidGroupBDiscount = 2010,
  InvalidGroupCDiscount = 2011,
  InvalidGroupOtherDiscount = 2012,
  InvalidGroup1x2Discount = 2013,
  InvalidResourceGroupId = 2014,
  InvalidResourceId = 2015,
  InvalidForcePT = 2016,
  OverMaxPT = 2017,
  InvalidUserGroup = 2018,
  KeyWordCantBeEmpty = 2019,
  InvalidPT = 2020,
  AgentPresetPTHaventSet = 2040,
  InvalidGMPlayerMaxWin = 2050,
  InvalidGMPlayerMaxLose = 2051,
  InvalidGMPlayerDailyReset = 2052,
  InvalidLCPlayerMaxWin = 2053,
  InvalidLCPlayerMaxLose = 2054,
  InvalidLCPlayerDailyReset = 2055,
  OverPlayerMaxWin = 2056,
  OverPlayerMaxLose = 2057,
  InvalidMinBet = 2500,
  InvalidMaxBet = 2501,
  InvalidMaxPerMatch = 2502,
  InvalidMaxCredit = 2503,
  InvalidLiveCasinoMaxLimit = 2504,
  InvalidCredit = 2505,
  MinBetLowerThanZero = 2506,
  MaxBetLowerThanZero = 2507,
  MinBetGreaterThanMaxBet = 2508,
  MaxBetGreaterThanMaxPerMatch = 2509,
  MaxPerMatchEqualtoZero = 2510,
  MinBetGreaterThanMaxPerMatch = 2511,
  InvalidGroupType = 2512,
  InvalidMaxBetRatio = 2513,
  DuplicateGameProvider = 3000,
  DuplicateGame = 3001,
  InvalidWalletType = 3002,
  InvalidGameProvider = 3003,
  GameIsDisabled = 3004,
  DuplicateDomain = 4000,
  BetAlreadySettled = 5000,
  BetAlreadyCanceled = 5001,
  CannotRollBackRunningBet = 5002,
  BetWithSameRefNoExists = 5003,
  BetNotFound = 5004,
  LowerThenMinBet = 5005,
  BiggerThenMaxBet = 5006,
  StatusAmountNotValid = 5007,
  BetAlreadyReturnedStake = 5008,
  RefNoNotData = 5009,
  RunningPromotionExists = 6000,
  LoginNameUpdated = 7000,
  DuplicateLoginName = 7001,
  PaymentInvalidAmount = 8000,
  InvalidPaymentProviderId = 8001,
  PaymentGatewayIsDisabled = 8002,
  PaymentGatewayManualCallbackError = 8003,
  AlreadyApply = 9003,
  AlreadyTagBefore = 10001,
  NoTagBefore = 10002,
  NoPermission = 10003,
  NoSettingData = 11001,
  NeedLeastOneEnabled = 11002,
  UsernameNotStrongEnough = 20021,
  InternalError = -1,
  you_do_not_have_account_yet = 1001,
  the_withdrawal_amount_cannot_be_bigger_than_the_balance = 303,
  decimal_not_allow = 305,
  please_enter_the_correct_transaction_status = 306,
  the_deposit_amount_cannot_be_smaller_than_zero = 302,
  the_deposit_amount_cannot_be_bigger_than_maximum_one = 301,
  there_is_a_waiting_transaction_exists = 313,
  no_transaction_found = 312,
  the_username_is_already_taken = 1005,
  please_enter_the_correct_bank_id = 300,
  please_enter_the_valid_transaction_type = 305,
  general_error = 999,
  the_bank_account_number_already_registered = 323,
  referral_code_is_invalid = 508,
  account_is_suspended = 1003,
  failed_to_consume_SSO = 202,
  account_is_closed = 1002,
  username_not_found = 2001,
  company_is_caped = 1011,
  you_may_only_request_for_withdrawal_once_within_24 = 321,
  payment_deposit_request_should_only_send_once_per_minute = 322,
  // failed_to_request_withdraw_due_to_unfinished_promotion = 330,
  not_qualified_for_this_promotion = 337,
  No_Pending_Payout_Bet_For_Peru_Customer = 16000,
  invalid_phone_number = 129,
  DuplicatePersonalSecurityCode = 17000,
}

export default EnumApiErrorCode;
